2017-02-28 16:47 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002409OpenFOAMPatchpublic2016-12-27 15:15
Reporterwyldckat 
Assigned Tohenry 
PrioritylowSeveritytextReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version4.x 
Target VersionFixed in Version4.x 
Summary0002409: Description updates for polynomial classes and a formula fix for 'prghTotalPressureFvPatchScalarField.H'
DescriptionI've always been somewhat confused about how polynomial properties are meant to be used in 'thermophysicalProperties'.
Over the least 6 months I've been asked about this 2 or 3 times, so this time I have tried to document this once and for all, or at least for the most part (I didn't go into detail about how the various properties are calculated/derived).
Along for the ride, I took care of a few side details, which I caught while figuring out documentation details.

Attached are the following packages:
 - proposition_4x.v1.tar.gz - meant for OpenFOAM 4.x (indexed to commit a7c2bd6ca)
 - proposition_dev.v1.tar.gz - meant for OpenFOAM-dev (indexed to commit 842aa71ed)

Both packages provide the following files:

 - src/OpenFOAM/primitives/functions/Polynomial/Polynomial.H
 - src/OpenFOAM/primitives/functions/Polynomial/polynomialFunction.H

   - Revised descriptions a bit to use more formatting to make it a bit easier to read on the Doxygen generated documentation, along with fixing a missing plus sign.
   - Note: these two classes have nearly identical descriptions... I didn't inspect any further, but it seemed odd that the 'polynomialFunction' didn't derive from the template class.


 - src/finiteVolume/fields/fvPatchFields/derived/prghTotalPressure/prghTotalPressureFvPatchScalarField.H

   - Fixed formula format by having two discrete formula entries. It can be see online what happens without it, i.e. the two entries are inline: http://cpp.openfoam.org/v4/a02010.html#details


 - src/thermophysicalModels/solidSpecie/transport/polynomial/polynomialSolidTransport.H
 - src/thermophysicalModels/specie/equationOfState/icoPolynomial/icoPolynomial.H
 - src/thermophysicalModels/specie/thermo/hPolynomial/hPolynomialThermo.H
 - src/thermophysicalModels/specie/transport/logPolynomial/logPolynomialTransport.H
 - src/thermophysicalModels/specie/transport/polynomial/polynomialTransport.H

   - All of these classes have been upgraded to have 'Usage', 'Note' and 'See also' sections, to make it clearer how these are meant to be used.
   - The 'Note' sections have the details regarding units, which were hidden on the variable descriptions; therefore, I moved said unit details to the new sections.
   - The 'Usage' sections have an explicit example of how the polynomials work; this does look weird, but it's because it really isn't straight forward for new users without an explicit example. The example values started as a sort-of based on the water polynomial at 1 bar for 'Cp', but since adding a reference would increase documentation without necessity, I went with a dummy example instead.
   - I only added 'Foam::Polynomial' to 'See also'.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007554

henry (manager)

Thanks Bruno

Resolved is OpenFOAM-4.x by commit a8ccb13d48334475857e335847e22e4c683c69e2

Resolved in OpenFOAM-dev by commit 08165a9c1e805b8b81e6a035a28947b0ba6bcab3
+Notes

-Issue History
Date Modified Username Field Change
2016-12-26 23:33 wyldckat New Issue
2016-12-26 23:33 wyldckat Status new => assigned
2016-12-26 23:33 wyldckat Assigned To => henry
2016-12-26 23:33 wyldckat File Added: proposition_4x.v1.tar.gz
2016-12-26 23:33 wyldckat File Added: proposition_dev.v1.tar.gz
2016-12-27 15:15 henry Status assigned => resolved
2016-12-27 15:15 henry Resolution open => fixed
2016-12-27 15:15 henry Fixed in Version => 4.x
2016-12-27 15:15 henry Note Added: 0007554
+Issue History